IFILE_Test Class Reference
Inheritance diagram for IFILE_Test:
[legend]
Collaboration diagram for IFILE_Test:
[legend]

## Public Member Functions

void | test ()
Public Member Functions inherited from InputFile
| InputFile ()
| Default constructor.
| ~InputFile ()
| Destructor.
| InputFile (const char *filename, const char *mode, InputFile::ifileCompression compressionMode=InputFile::DEFAULT)
| Constructor for opening a file. More...
void | bufferReads (unsigned int bufferSize=DEFAULT_BUFFER_SIZE)
| Set the buffer size for reading from files so that bufferSize bytes are read at a time and stored until accessed by another read call. More...
void | disableBuffering ()
| Disable read buffering.
int | ifclose ()
| Close the file. More...
int | ifread (void *buffer, unsigned int size)
| Read size bytes from the file into the buffer. More...
int | readTilChar (const std::string &stopChars, std::string &stringRef)
| Read until the specified characters, returning which character was found causing the stop, -1 returned for EOF, storing the other read characters into the specified string. More...
int | readTilChar (const std::string &stopChars)
| Read until the specified characters, returning which character was found causing the stop, -1 returned for EOF, dropping all read chars. More...
int | discardLine ()
| Read until the end of the line, discarding the characters, returning -1 returned for EOF and returning 0 if the end of the line was found. More...
int | readLine (std::string &line)
| Read, appending the characters into the specified string until new line or EOF is found, returning -1 if EOF is found first and 0 if new line is found first. More...
int | readTilTab (std::string &field)
| Read, appending the characters into the specified string until tab, new line, or EOF is found, returning -1 if EOF is found first, 0 if new line is found first, or 1 if a tab is found first. More...
int | ifgetc ()
| Get a character from the file. More...
bool | ifgetline (void *voidBuffer, size_t max)
| Get a line from the file. More...
void | ifrewind ()
| Reset to the beginning of the file.
int | ifeof () const
| Check to see if we have reached the EOF. More...
unsigned int | ifwrite (const void *buffer, unsigned int size)
| Write the specified buffer into the file. More...
bool | isOpen () const
| Returns whether or not the file was successfully opened. More...
int64_t | iftell ()
| Get current position in the file. More...
bool | ifseek (int64_t offset, int origin)
| Seek to the specified offset from the origin. More...
const char * | getFileName () const
| Get the filename that is currently opened. More...
void | setAttemptRecovery (bool flag=false)
| Enable (default) or disable recovery. More...
bool | attemptRecoverySync (bool(*checkSignature)(void *data), int length)
bool | openFile (const char *filename, const char *mode, InputFile::ifileCompression compressionMode)

## Static Public Attributes

static const int | TEST_FILE_SIZE = 37
static const int | BGZF_TEST_FILE_SIZE = 93
static const std::string | TEST_FILE_CONTENTS = "ABCDabcd1234\nEFGefg567\nhijklHIJKL8910"

## Additional Inherited Members

Public Types inherited from InputFile
enum | ifileCompression { DEFAULT , UNCOMPRESSED , GZIP , BGZF }
| Compression to use when writing a file & decompression used when reading a file from stdin. More...
Protected Member Functions inherited from InputFile
int | readFromFile (void *buffer, unsigned int size)
Protected Attributes inherited from InputFile
FileType * | myFileTypePtr
unsigned int | myAllocatedBufferSize
char * | myFileBuffer
int | myBufferIndex
int | myCurrentBufferSize
std::string | myFileName
Static Protected Attributes inherited from InputFile
static const unsigned int | DEFAULT_BUFFER_SIZE = 65536

## Detailed Description

Definition at line 21 of file InputFileTest.h.

The documentation for this class was generated from the following files:

- general/test/inputFileTest/InputFileTest.h
- general/test/inputFileTest/InputFileTest.cpp